# Week 11

**This weeks quiz:** https://go.uwe.ac.uk/ctapQuiz

This week we will be looking at modelling systems in different ways. In the first lecture we will consider modelling behaviour using flow diagrams.

The **second lecture** will look at modelling data and will consider entity relationship diagrams and state machine diagrams.

## This week you are working on...

### 👉 [THIS WEEKS TASK]() 👈

## Have already completed ...

All tasks up to week 10. If you have not done week 10's work on your assessment work, you should work with your tutor to make sure you catch up.
## By the end of the week...

... you should have completed:

- Reading Chapter 4 of Karl Beechers book 'Computational thinking: a beginner's guide to problem-solving and programming'
- Tasks 1, 2, 3 and 4 provided in `ctap-resources/practicals/week11/tasks.md`

## Resources
- [Chapter 4 of Computational thinking: a beginner's guide to problem-solving and programming](https://blackboard.uwe.ac.uk/webapps/blackboard/content/listContentEditable.jsp?content_id=_9740235_1&course_id=_358486_1&mode=reset)
- [practicals/week11/tasks.md](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/practicals/week11/tasks.md?ref_type=heads)
- [Slides](https://go.uwe.ac.uk/ctapSlides)
- [Markdown Guide](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/guides/markdown.md?ref_type=heads)

### External resources

#### Learning Python 
- [Learn Python .org's interactive python tutorials](https://www.learnpython.org/)
- W3 schools [tutorial and reference](https://www.w3schools.com/python/)
- Raspberry Pi Foundation [tutorials](https://projects.raspberrypi.org/en/pathways/python-intro?gclid=Cj0KCQjwpompBhDZARIsAFD_Fp8FpuLGfd6v863VziU4rGdV-ZHkcnu-bhjB0KuGS1fyYLBHiXpazGcaAnGuEALw_wcB)
-  [Python in 100 seconds](https://www.youtube.com/watch?v=x7X9w_GIm1s)
- Learn [python in 1 hour](https://www.youtube.com/watch?v=kqtD5dpn9C8)

#### Flow Charts
- [Video on flow charts for coding problems](https://www.youtube.com/watch?v=lKRl295CyFY)
- [Video that contextualises flow diagrams in buisness problems ](https://www.youtube.com/watch?v=wLkvvqypq1E) 
- [Lucid chart overview/tutorial of flow diagrams](https://www.lucidchart.com/pages/what-is-a-flowchart-tutorial)

#### Entity Relationship Diagrams

- [Lucid chart overview/tutorial on ERDs](https://www.lucidchart.com/pages/er-diagrams)
- [ERD video by Lucid Chart](https://www.youtube.com/watch?v=QpdhBUYk7Kk)